{% extends 'layouts/base.html' %}

{% block title %} Generate Amazon Seller File {% endblock %}

{% block body %}
<div class="row flex-lg-row flex-column mt-2">
    <div class="d-flex col-lg-12 col-md-12 col-sm-12 px-2 justify-content-center">
        <div class="card col-lg-3 col-md-3 col-sm-12 mt-5">
            <div class="card-header bg-primary fw-bolder text-light">Generate Amazon Seller File</div>
            <div class="card-body">
                <form method="POST" action="/amazon-generate" enctype="multipart/form-data">
                    <div class="form-group my-2">
                        <label for="restockFile">Restock File: </label>
                        <input type="file" name="restockFile" id="restockFile" class="form-control">
                    </div>

                    <div class="form-group my-2">
                        <label for="tradepegFile">Tradepeg File: </label>
                        <input type="file" name="tradepegFile" id="tradepegFile" class="form-control">
                    </div>

                    {% include 'layouts/flash.html' %}
                    <button type="submit" class="btn btn-primary mt-5 w-100">Submit</button>
                </form>

                {% if fileName and directoryName %}
                <a href="{{ url_for('downloadFile', fileName=fileName, directoryName=directoryName) }}"
                    class="btn btn-secondary w-100 mt-2" target="_blank">Download</a>
                {% endif %}
            </div>
        </div>
    </div>
</div>
{% endblock %}